import Player from './Player';
export declare type MatchOpponent = Player | Player[];
export declare type OutcomeReport = [number, number];
export default class Match {
    readonly aTeam: Player[];
    readonly bTeam: Player[];
    constructor(a: MatchOpponent, b: MatchOpponent);
    private readonly aComposite;
    private readonly bComposite;
    reportTeamAWon(): void;
    reportTeamBWon(): void;
    reportTie(): void;
    reportOutcome([aScore, bScore]: OutcomeReport): void;
    reportOutcomes(outcomes: OutcomeReport[]): void;
    updatePlayerRatings(): void;
    private reportATeamResult;
}
